org.codehaus.groovy.runtime.metaclass

## Class TemporaryMethodKey

- java.lang.Object
- - org.codehaus.groovy.runtime.MethodKey
  - - org.codehaus.groovy.runtime.metaclass.TemporaryMethodKey

    public class TemporaryMethodKey
    extends MethodKey

A temporary implementation of MethodKey used to perform a fast lookup for a method using a set of arguments to a method

Version:
  $Revision: 7922 $
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`TemporaryMethodKey(Class sender, String name, Object[] parameterValues, boolean isCallToSuper)`

### Method Summary

Methods
`int` `getParameterCount()`
`Class` `getParameterType(int index)`

### Methods inherited from class org.codehaus.groovy.runtime.MethodKey

`createCopy, createHashCode, equals, equals, getName, getParamterTypes, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TemporaryMethodKey

    public TemporaryMethodKey(Class sender,
                      String name,
                      Object[] parameterValues,
                      boolean isCallToSuper)

### Method Detail

#### getParameterCount

    public int getParameterCount()

Specified by:
  `getParameterCount` in class `MethodKey`

#### getParameterType

    public Class getParameterType(int index)

Specified by:
  `getParameterType` in class `MethodKey`